SessionTestCase::sessionReset

7 session.test SessionTestCase::sessionReset($uid = 0)
8 session.test SessionTestCase::sessionReset($uid = 0)

Reset the cookie file so that it refers to the specified user.

Parameters

$uid User id to set as the active session.:

File

modules/simpletest/tests/session.test, line 253
Provides SimpleTests for core session handling functionality.

Code

function sessionReset($uid = 0) {
  // Close the internal browser.
  $this->curlClose();
  $this->loggedInUser = FALSE;

  // Change cookie file for user.
  $this->cookieFile = file_stream_wrapper_get_instance_by_scheme('temporary')->getDirectoryPath() . '/cookie.' . $uid . '.txt';
  $this->additionalCurlOptions[CURLOPT_COOKIEFILE] = $this->cookieFile;
  $this->additionalCurlOptions[CURLOPT_COOKIESESSION] = TRUE;
  $this->drupalGet('session-test/get');
  $this->assertResponse(200, t('Session test module is correctly enabled.'), t('Session'));
}
Login or register to post comments